Package org.eclipse.graphiti.pattern.mapping

## Interface IStructureMappingGrid

All Superinterfaces:
  `IStructureMapping`, `IStructureMappingMulti`

All Known Implementing Classes:
  `StructureMappingGrid`

    public interface IStructureMappingGrid
    extends IStructureMappingMulti

The Interface IStructureMappingGrid.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getColumns()` Gets the columns.
`int` `getRows()` Gets the rows.

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.IStructureMapping

`getDataMapping`

### Methods inherited from interface org.eclipse.graphiti.pattern.mapping.IStructureMappingMulti

`getLinkCreationInfos`

### Method Detail

#### getRows

    int getRows()

Gets the rows.

Returns:
  the rows

#### getColumns

    int getColumns()

Gets the columns.

Returns:
  the columns